Bug Hunting Session
Bug 126819 - Can't retrieve the mouse position written in the statusbar
Summary: Can't retrieve the mouse position written in the statusbar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.3.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-08-11 09:43 UTC by Dorange-Pattoret Didier
Modified: 2019-08-26 15:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
File to confirm the bug (11.43 KB, application/vnd.oasis.opendocument.graphics)
2019-08-11 09:43 UTC, Dorange-Pattoret Didier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dorange-Pattoret Didier 2019-08-11 09:43:05 UTC
Created attachment 153289 [details]
File to confirm the bug

Since 6.3, I can't retrieve the mouse position written in the statusbar.
To reproduce :  
- open Souris.odg
- click on the form
- and then click on the draw page.

You'll get an empty text with LO 6.3 and the mouse position with LO <=6.2

It's a regression.

For me it's a critical bug. Some programs don't work ...

Thanks for your help.
Comment 1 Julien Nabet 2019-08-11 10:08:45 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.
I noticed this on console:
warn:stoc:9157:9157:stoc/source/inspect/introspection.cxx:1614: object of type "com.sun.star.awt.XMouseClickHandler" lacks XTypeProvider
Comment 2 Julien Nabet 2019-08-11 10:10:33 UTC
More precisely, I got this error when clicking the button (of course macros must be enabled)
Comment 3 cornosier 2019-08-11 13:23:04 UTC
I confirm under Fedora 30
Comment 4 Xisco Faulí 2019-08-12 13:33:15 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=77e260f915e0c77ddb1e915e9fd27ab0bdccc763

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-07-08 11:22:12 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2019-07-08 12:48:13 +0200
commit	77e260f915e0c77ddb1e915e9fd27ab0bdccc763 (patch)
tree	73f6c2eae21791da57ebd7a9a0f2cd35dd5031aa
parent	3889e2f2a1f5f87e972e67900b5ff5ef1289479d (diff)
tdf#121793 speedup VCLXAccessibleStatusBarItem::GetItemText

Bisected with: bibisect-linux64-6.4

Adding Cc: to Noel Grandin
Comment 5 Commit Notification 2019-08-16 19:41:29 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c53f3f8f58f55d0978fb968446975856d72a52f8%5E%21

tdf#126819 Can't retrieve the mouse position written in the statusbar

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-08-19 06:25:12 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: cbe9601e5972ec1c466311e0b148a9fbe8cda4d1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Noel, thanks for fixing this issue!
Comment 7 Commit Notification 2019-08-19 07:37:50 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/3638ac34cab9b8db8454267f53f43f216a373eda%5E%21

tdf#126819 Can't retrieve the mouse position written in the statusbar

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Dorange-Pattoret Didier 2019-08-20 06:43:44 UTC
Many thanks to Noel.

Sorry but I can't find builds dated after 2019-08-16 19:41:29 for testing : https://dev-builds.libreoffice.org/daily/

Am I wrong ?
Comment 9 Commit Notification 2019-08-23 16:05:59 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-1":

https://git.libreoffice.org/core/+/cc730643359a000d61e8817fe0168e239678283d%5E%21

tdf#126819 Can't retrieve the mouse position written in the statusbar

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Dorange-Pattoret Didier 2019-08-24 07:17:02 UTC
Congratulations Noel.

The bug seems fixed.

Verified in 
Version: 6.4.0.0.alpha0+
Build ID: 2bed8af91fc2654b9ed2432f969d32d5741a529b
Threads CPU : 4; OS : Linux 5.0; UI Render : par défaut; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-08-21_09:30:10
Locale : fr-FR (fr_FR.UTF-8); Langue IHM : fr-FR
Calc: threaded
Comment 11 Dorange-Pattoret Didier 2019-08-24 15:14:26 UTC
Tested with LO 6.3.2 : OK !

Version: 6.3.2.0.0+
Build ID: ff3cfee4ebfcb412f54f17ffccc95512fdc15c8e
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-3, Time: 2019-08-20_14:33:16
Locale: fr-FR (fr_FR.UTF-8); UI-Language: en-US
Calc: threaded